import _extends from "@babel/runtime/helpers/esm/extends";
var ACTIONS = {
  TOGGLE_MENU: 'toggle_menu',
  MOUSE_HOVER: 'mouse_hover',
  MOUSE_OUT: 'mouse_out'
};
var INITIAL_STATE = {
  expanded: false,
  collapseByTouch: false
};

var reducer = function reducer(state, _ref) {
  var type = _ref.type;

  switch (type) {
    case ACTIONS.TOGGLE_MENU:
      return _extends({}, state, {
        expanded: !state.expanded
      });

    case ACTIONS.MOUSE_HOVER:
      return _extends({}, state, {
        expanded: true,
        collapseByTouch: true
      });

    case ACTIONS.MOUSE_OUT:
      return _extends({}, state, {
        expanded: false,
        collapseByTouch: false
      });

    default:
      return state;
  }
};

export { ACTIONS as reducerActions, INITIAL_STATE as reducerInitialState, reducer };